if [ -x /usr/bin/update-desktop-database ]; then
  /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
fi

if [ -x /usr/bin/update-mime-database ]; then
  /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
fi

if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
  if [ -x /usr/bin/gtk-update-icon-cache ]; then
    /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
  fi
fi

if [ -x /usr/bin/install-info ]; then
  chroot . /usr/bin/install-info --info-dir=/usr/info /usr/info/lepton-manual.info.gz 2> /dev/null
  chroot . /usr/bin/install-info --info-dir=/usr/info /usr/info/lepton-scheme.info.gz 2> /dev/null
fi

( cd usr/lib64 ; rm -rf liblepton.so )
( cd usr/lib64 ; ln -sf liblepton.so.11.0.0 liblepton.so )
( cd usr/lib64 ; rm -rf liblepton.so.11 )
( cd usr/lib64 ; ln -sf liblepton.so.11.0.0 liblepton.so.11 )
( cd usr/lib64 ; rm -rf libleptonattrib.so )
( cd usr/lib64 ; ln -sf libleptonattrib.so.5.0.0 libleptonattrib.so )
( cd usr/lib64 ; rm -rf libleptonattrib.so.5 )
( cd usr/lib64 ; ln -sf libleptonattrib.so.5.0.0 libleptonattrib.so.5 )
( cd usr/lib64 ; rm -rf libleptongui.so )
( cd usr/lib64 ; ln -sf libleptongui.so.5.0.0 libleptongui.so )
( cd usr/lib64 ; rm -rf libleptongui.so.5 )
( cd usr/lib64 ; ln -sf libleptongui.so.5.0.0 libleptongui.so.5 )
